#!/bin/csh

if (! $?GLITE_SYSCONFIG) then
  set GLITE_SYSCONFIG=/etc/sysconfig/glite
endif

if ( -r "$GLITE_SYSCONFIG" ) then
  set tmp=`grep ^GLITE_LOCATION $GLITE_SYSCONFIG| tail -1|sed 's/=/ /'`
  if ( ! -z "$GLITE_SYSCONFIG" ) then
    eval setenv $tmp
  endif
endif

if ( ! $?GLITE_LOCATION ) then
  setenv GLITE_LOCATION "/home/condor/execute/dir_14881/userdir/org.glite.wms-ui.configuration/etics-tmp"
endif

if ( ! $?GLITE_WMS_LOCATION ) then
  setenv GLITE_WMS_LOCATION "/home/condor/execute/dir_14881/userdir/org.glite.wms-ui.configuration/etics-tmp"
endif

if( ! $?GLITE_WMS_TMP ) then
    source $GLITE_WMS_LOCATION"/etc/glite-wms-vars.csh"
endif

if( ! -d $GLOBUS_LOCATION ) then
   source $GLITE_WMS_LOCATION"/etc/glite-wms-vars.csh"
endif

if( ! -d $GLOBUS_LOCATION ) then
    echo "$GLOBUS_LOCATION not found"
endif

# The rest of the workload.sh script

if( ! $?GLITE_WMS_PATH ) then
    source $GLITE_WMS_LOCATION"/etc/glite-wms-vars.csh"
endif

if( $?PATH ) then
    setenv PATH ${PATH}":"$GLITE_WMS_PATH
else
    setenv PATH $GLITE_WMS_PATH
endif

if( ! $?GLITE_WMS_LIBRARY_PATH ) then
    source $GLITE_WMS_LOCATION"/etc/glite-wms-vars.csh"
endif

if( $?LD_LIBRARY_PATH ) then
    setenv LD_LIBRARY_PATH $LD_LIBRARY_PATH":"$GLITE_WMS_LIBRARY_PATH
else
    setenv LD_LIBRARY_PATH $GLITE_WMS_LIBRARY_PATH
endif
